summaryrefslogtreecommitdiffstats
path: root/modules.d/slx-clock/module-setup.sh
diff options
context:
space:
mode:
Diffstat (limited to 'modules.d/slx-clock/module-setup.sh')
-rwxr-xr-xmodules.d/slx-clock/module-setup.sh20
1 files changed, 20 insertions, 0 deletions
diff --git a/modules.d/slx-clock/module-setup.sh b/modules.d/slx-clock/module-setup.sh
new file mode 100755
index 00000000..0c21b032
--- /dev/null
+++ b/modules.d/slx-clock/module-setup.sh
@@ -0,0 +1,20 @@
+#!/usr/bin/env bash
+check() {
+ if ! hash ntpdate; then
+ derror "Missing 'ntpdate'. Please install it."
+ return 1
+ fi
+ # Tell dracut that this module should only be included if it is required
+ # explicitly.
+ return 255
+}
+depends() {
+ echo dnbd3-rootfs busybox
+}
+install() {
+ # wait til we have the openslx config for ntp servers
+ # which happens in pre-mount/10
+ inst_multiple ntpdate /etc/services /usr/share/zoneinfo/Europe/Berlin
+ inst /usr/share/zoneinfo/Europe/Berlin /etc/localtime
+ inst_hook pre-mount 15 "$moddir/scripts/ntp-sync.sh"
+}